import { HttpClient, HttpHeaders } from "@angular/common/http";
import { AlgChannelService } from "./channel.service";
import { ApiVisa } from '../../../shared/api-visa.model';
export declare class SesEmailService extends AlgChannelService {
    constructor(httpClient: HttpClient);
    broadcastEmail(data: any, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    sendNewAttachmentEmail(data: FormData, apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    getHeader(apiVisa: any): {
        headers: HttpHeaders;
    };
}
